from django.db import models

# Create your models here.

class AdminMenu(models.Model):
    """Model definition for AdminMenu."""

    # TODO: Define fields here
    name = models.CharField(max_length = 150)
    sort = models.IntegerField(default=0)
    icon = models.CharField(max_length = 150,null=True)   
    path = models.CharField(max_length = 150,default='')
    def GetMenu(self, arg):
        pass
    class Meta:
        """Meta definition for AdminMenu."""

        verbose_name = 'AdminMenu'
        verbose_name_plural = 'AdminMenus'

    def __str__(self):
        """Unicode representation of AdminMenu."""
        return f"{self.name}"


    def get_absolute_url(self):
        """Return absolute url for AdminMenu."""
        return ('')
  # TODO: Define custom methods here
    
class AdminMenuItem(models.Model):
    """Model definition for AdminMenuItem."""

    # TODO: Define fields here
    name = models.CharField(max_length = 150)
    sort = models.IntegerField(default=0)
    menu = models.ForeignKey(AdminMenu, on_delete=models.CASCADE, related_name="submenus")
    path = models.CharField(max_length = 150,null=True)
    
    class Meta:
        """Meta definition for AdminMenuItem."""

        verbose_name = 'AdminMenuItem'
        verbose_name_plural = 'AdminMenuItems'

    def __str__(self):
        """Unicode representation of AdminMenuItem."""
        return f"{self.name}"


    def get_absolute_url(self):
        """Return absolute url for AdminMenuItem."""
        return ('')

    # TODO: Define custom methods here
