from django.urls import include,path
from .views import index,category,article
app_name = 'adm'
category_urlpatterns=[
    path('index/',category.CategoryIndexView.as_view(),name='category-index'),
    path('edit/<int:id>/',category.CategoryEditView.as_view(),name='category-edit'),
    path('edit/',category.CategoryEditView.as_view(),name='category-create'),
    path('delete/<int:id>/',category.CategoryDeleteView.as_view(),name='category-delete'),
]
article_urlpatterns=[
    path('index/',article.ArticleIndexView.as_view(),{},name='article-index'),
    # path('pendingcheck/',article.ArticleIndexView.as_view(),{"catid":0,'status':2},name='article-pendingcheck'),
    # path('index/<int:catid>/<int:status>/<int:page>/<str:keywords>/',article.ArticleIndexView.as_view(),{},name='article-search'),
    path('edit/<int:id>/',article.ArticleEditView.as_view(),name='article-edit'),
    path('edit/',article.ArticleEditView.as_view(),name='article-create'),
    path('delete/<int:id>/',category.CategoryDeleteView.as_view(),name='article-delete'),
]
user_urlpatterns=[]
urlpatterns = [
    path('',index.IndexView.as_view(),name='index'),
    path('category/', include(category_urlpatterns)),
    path('article/', include(article_urlpatterns)),
    path('user/', include(user_urlpatterns)),
]