
from django.utils.deprecation import MiddlewareMixin
class ClassMiddleware3(MiddlewareMixin):
    def process_request(self, request):
        print("ClassMiddleware3 process_request...")  
        pass
    def process_response(self, request, response):
        print("ClassMiddleware3 process_response...")  
        return response
    def process_view(self,request, view_func, view_args, view_kwargs):
        print("ClassMiddleware3 process_view...")        
        return None
class ClassMiddleware4(MiddlewareMixin):
    def process_request(self, request):
        print("ClassMiddleware4 process_request...")  
        pass
    def process_response(self, request, response):
        print("ClassMiddleware4 process_response...")  
        return response
    def process_view(self,request, view_func, view_args, view_kwargs):
        print("ClassMiddleware4 process_view...")        
        return None
class ClassMiddleware1:
    def __init__(self, get_response):
        self.get_response = get_response
        # One-time configuration and initialization.

    def __call__(self, request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        print("ClassMiddleware1 befor get_response...")
        response = self.get_response(request)
        print("ClassMiddleware1 after get_response...")
        # Code to be executed for each request/response after
        # the view is called.

        return response
    def process_view(self,request, view_func, view_args, view_kwargs):
        print("ClassMiddleware1 process_view...")        
        return None
class ClassMiddleware2:
    def __init__(self, get_response):
        self.get_response = get_response
        # One-time configuration and initialization.

    def __call__(self, request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        print("ClassMiddleware2 befor get_response...")
        response = self.get_response(request)
        print("ClassMiddleware2 after get_response...")
        # Code to be executed for each request/response after
        # the view is called.

        return response
    def process_view(self,request, view_func, view_args, view_kwargs):
        print("ClassMiddleware2 process_view...")        
        return None
def func_middleware1(get_response):
    # One-time configuration and initialization.

    def middleware(request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        print("func_middleware1 befor get_response...")
        response = get_response(request)
        print("func_middleware1 after get_response...")
        # Code to be executed for each request/response after
        # the view is called.

        return response

    return middleware

def func_middleware2(get_response):
    # One-time configuration and initialization.

    def middleware(request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        print("func_middleware2 befor get_response...")
        response = get_response(request)
        print("func_middleware2 after get_response...")
        # Code to be executed for each request/response after
        # the view is called.

        return response

    return middleware