import socket
import datetime
import time
server = socket.socket() #创建socket对象
host = '127.0.0.1' #本地主机ip
port = 8888 #设置端口
server.bind((host, port))  #绑定端口，确定服务端地址
print('server对象：', server) #查看socket对象属性
server.listen(2)  #开始监听，等待客户端连接

while True: #服务端是持续、依次的进行服务
    conn,c_addr = server.accept() #接受客户端连接。如无客户端的连接，进程在此阻塞，直到客户端的连接

    # 服务端接收客户端数据
    b_msg = conn.recv(1024)
    msg = b_msg.decode()  # byte->str
    print(msg, datetime.datetime.now())

    b_msg = conn.recv(1024)
    msg = b_msg.decode()  # byte->str
    print(msg, datetime.datetime.now())

    msg = '服务端->客户端11111'  # 发送给客户端的数据
    b_msg = msg.encode('utf-8')  # 数据需要从str转为byte格式
    conn.send(b_msg)  # 发送数据

    time.sleep(1)
    msg = '服务端->客户端2222'  # 发送给客户端的数据
    b_msg = msg.encode('utf-8')  # 数据需要从str转为byte格式
    conn.send(b_msg)  # 发送数据

    b_msg = conn.recv(1024)
    msg = b_msg.decode()  # byte->str
    print(msg, datetime.datetime.now())

    conn.close()  # 关闭与客户端的连接