from django import forms
from common.models import Category
from ..caches import cache_category
from django.utils.html import format_html
from common.forms import ToppingSelect
# class ToppingSelect(forms.Select):
    # def create_option(self, name, value, label, selected, index, subindex=None, attrs=None):
    #     # option = super().create_option(name, value, label, selected, index, subindex, attrs)
    #     # if value:
    #     #     option['attrs']['data-price'] = value.instance.order_select
    #     if value:
    #         aa="&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"
            
    #         label = format_html("%s┊┈┈%s&nbsp&nbsp"%(aa*(value.instance.layer_select-1),value.instance.name))
    #     option = super().create_option(name, value, label, selected, index, subindex, attrs)
    #     return option
    
class CategoryIndexForm(forms.Form):
    """CategoryIndexForm definition."""
    keywords=forms.CharField(max_length=10)
    # TODO: Define form fields here

class CategoryEditForm(forms.ModelForm):
    """Form definition for Category."""
    parent=forms.ModelChoiceField(queryset=None,
                                  label="上级栏目",help_text="aaa",widget=ToppingSelect,empty_label="请选择")
    # parent=forms.ModelChoiceField(queryset=cache_category.categories['category_order']['all'],
    #                               label="上级栏目",help_text="aaa",widget=ToppingSelect,empty_label="请选择")
    def __init__(self, *args, **kwargs):
        # super().__init__(*args, **kwargs)
        aa=None
        # if "aa" in kwargs:
        #     aa=kwargs['aa']
        #     del kwargs['aa']
            
        super().__init__(*args, **kwargs)
        if not self.instance._state.adding:
            self.fields['parent'].queryset=cache_category.categories['category_order'][self.instance.usage]["data"]
        else:
            self.fields['parent'].queryset=cache_category.categories['category_order']['all']
    class Meta:
        """Meta definition for Categoryform."""

        model = Category
        fields = ['parent','name','template_code','appearance',]
        widgets={'usage':forms.RadioSelect,"appearance":forms.RadioSelect}
        