import datetime
from django import template

register = template.Library()

@register.filter(is_safe=True)
def myfilter(value):
    return f"aaaa{value}"

@register.simple_tag
def map_get(obj,key):
    return obj[key]

@register.simple_tag
def current_time(format_string):
    return datetime.datetime.now().strftime(format_string)

@register.simple_tag(takes_context=True)
def current_time2(context,format_string):
    return datetime.datetime.now().strftime(format_string)


@register.inclusion_tag('demotemplate/results.html')
def show_results(end):
    # choices = poll.choice_set.all()
    choices=["aaa","bbb","ccc",end]
    return {'choices': choices}

@register.inclusion_tag('demotemplate/results.html', takes_context=True)
def show_results2(context):
    # choices = poll.choice_set.all()
    choices=["aaa","bbb","ccc"]
    return {'choices': choices}