from django import forms


class AudioForm(forms.Form):
    # error_css_class ="aaaa"
    audio_from = forms.CharField()
    audio = forms.CharField(max_length = 25, required = True, widget=forms.TextInput(
        attrs = {
            'class':'form-control',
            'type':'text',
            'placeholder':'请选择声音类型',
        }
    ),
        error_messages = {
            'required' : "This field is required",
            'invalid' : "This field is invalid",
    })
    time_at = forms.CharField()
    msg = forms.CharField()
    
    

    def clean(self):
        cleaned_data = super().clean()
        #Do Stuff
